#ifndef INTERNET_RADIO_H
#define INTERNET_RADIO_H

#include <QtGui/QMainWindow>
#include <QtGui>
#include "ui_internet_radio.h"

class Internet_Radio : public QMainWindow
{
    Q_OBJECT

public:
    Internet_Radio(QWidget *parent = 0);
    ~Internet_Radio();

    void setStationModel(QAbstractItemModel *model);
    QStandardItemModel* model;
    QAbstractItemModel* createStationModel(QObject *parent);
    void addStation(QAbstractItemModel *model, const QString &station, const QString &url);

private:
    Ui::Internet_RadioClass ui;

public slots:
    void GO_clicked();
    void ADD_clicked();
    void REMOVE_clicked();
    void PLAY_clicked();

};

#endif // INTERNET_RADIO_H
